System.Security 2.0.0.0 4.0.0.0 System.Object

For more information about XML encryption standards, see http://www.w3.org/TR/xml-encryption-req.

Represents the abstract base class used in XML encryption from which the , , and classes derive.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes a class that is an abstract base class used in XML encryption from which the , , and classes derive. Unless you have a scenario where you need to create a custom reference section in XML, use one of the inherited classes.

  For more information about XML encryption standards, see http://www.w3.org/TR/xml-encryption-req.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter provides information about the location of the data to be encrypted.

  This constructor initializes a class that is an abstract base class used in XML encryption from which the , , and classes derive. Unless you have a scenario where you need to create a custom reference section in XML, use one of the inherited classes.

  For more information about XML encryption standards, see http://www.w3.org/TR/xml-encryption-req.

  Initializes a new instance of the class using the specified Uniform Resource Identifier (URI).

  The Uniform Resource Identifier (URI) that points to the data to encrypt.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  This class is an abstract base class used in XML encryption from which the , , and classes derive. Unless you have a scenario where you need to create a custom reference section in XML, use one of the inherited classes.

  For more information about XML encryption standards, see http://www.w3.org/TR/xml-encryption-req.

  Initializes a new instance of the class using the specified Uniform Resource Identifier (URI) and transform chain.

  The Uniform Resource Identifier (URI) that points to the data to encrypt.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds a object to the current transform chain of an object.

  A object to add to the transform chain.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The cache is used to maintain the encrypted data.

  Gets a value that indicates whether the cache is valid.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  You can use this method to output the XML information contained in an object.

  Returns the XML representation of an object.

  An object that represents the values of the <EncryptedReference> element in XML encryption.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Loads an XML element into an object.

  An object that represents an XML element.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is set when using the , , and derived classes. For example, a object sets this property value to .

  Gets or sets a reference type.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.TransformChain To be added. To be added.

  Gets or sets the transform chain of an object.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Use this property to indicate the location of the encrypted data.

  Gets or sets the Uniform Resource Identifier (URI) of an object.